# Interface methods for submodule: FlipImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: FlipImageFilter
class FlipImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFlipAxes(self, _arg: Sequence[bool]) -> None:
		""""""
		...

	def GetFlipAxes(self) -> Sequence[bool]:
		""""""
		...

	def FlipAboutOriginOn(self) -> None:
		""""""
		...

	def FlipAboutOriginOff(self) -> None:
		""""""
		...

	def GetFlipAboutOrigin(self) -> bool:
		""""""
		...

	def SetFlipAboutOrigin(self, _arg: bool) -> None:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

